VME Intensity Monitor - Support #12618
Milestone # 12609 (Assigned): MI/RR DCCT Configuration Update

Update VMEInt DcctDrv to Support New DCCT Firmware
05/12/2016 02:08 PM - Roger Tokarek

Status:
Priority:
Category:

Target version:

Closed
Roger Tokarek

Engineering

Start date:

Due date:

% Done:
Spent time:

05/12/2016

100%
0.00 hour
2.00 hours

Description

New DCCT firmware is installed in AILAB and will be installed in MIDCCT. Three new DCCT intensity registers have been added at

0x118,0x11c, and 0x120. Acnet device support is required.

History

#1 - 05/12/2016 02:09 PM - Roger Tokarek
- Subject changed from Update VMEInt DcctDRv to Support New DCCT Firmware to Update VMEInt DcctDrv to Support New DCCT Firmware

#2 - 05/13/2016 06:19 PM - Roger Tokarek
- % Done changed from 0 to 100

Added enumerated registers 0x118,0x11c, and 0x120 to DcctDrv.h. Modified VMEIntCommands::addDcct(adc, ssdnld, adcCh) to transfer an actual

value of adcCh rather than forcing adcCh to 0. "adcCh" maps to enumerated registers in DcctDrv.

#3 - 05/13/2016 06:20 PM - Roger Tokarek

- Status changed from New to Resolved

#4 - 08/03/2016 01:15 PM - Roger Tokarek

- Status changed from Resolved to Closed
